[Piuparts-commits] [SCM] piuparts git repository branch, piatti, updated. 0.44-811-gcddb6b0
Andreas Beckmann
debian at abeckmann.de
Tue Jun 19 09:47:54 UTC 2012
The following commit has been merged in the piatti branch:
commit f37c5e8645fe2dd22db69c3e5e9877efd2a49fc8
Author: Andreas Beckmann <debian at abeckmann.de>
Date: Tue Jun 19 02:32:54 2012 +0200
whitespace cleanup
diff --git a/README_server.txt b/README_server.txt
index 10c0db2..93c59ed 100644
--- a/README_server.txt
+++ b/README_server.txt
@@ -3,20 +3,20 @@ http://piuparts.debian.org/.
Before running the server, edit /etc/piuparts.conf appropriately, to define
'sections' to be tested (e.g. 'sid') and define references to the Debian mirror
-and Packages files. Note that the server can place a significant load on the
+and Packages files. Note that the server can place a significant load on the
repository. Consider setting up a local mirror, or a caching proxy for http
and apt-get, to reduce the load.
Start the server using /usr/sbin/piuparts_slave_run, which will launch a
'screen' session. The slave will launch a master process via ssh, as needed,
-to retrieve work and return results. Use /usr/sbin/piuparts_slave_join to
-join the screen session.
+to retrieve work and return results. Use /usr/sbin/piuparts_slave_join to
+join the screen session.
Logs are stored under /var/lib/piuparts. They are stored there because they
are basically the result of piuparts running.
There are maintenance cron jobs defined in /etc/cron.d/piuparts-*.cron. In
-particular, piuparts-report will create a web summary, defaulting to
+particular, piuparts-report will create a web summary, defaulting to
http://localhost/piuparts, served by Apache. Uncomment the lines in the cron
file to enable the jobs.
diff --git a/TODO b/TODO
index 9f5cbba..34da0b1 100644
--- a/TODO
+++ b/TODO
@@ -7,13 +7,13 @@ higher than wishlist!
for 0.46:
- slave.postinst should setup ~piupartss/.ssh/known_hosts from /etc/ssh,
- even if only for localhost
+ even if only for localhost
- slave.postinst should setup ~piupartsm/.ssh/authorized_keys using triggers
dpkg-trigger piuparts-master-please-install-the-slave-key
- piuparts-master package fails install, remove, install.
-- split /etc/piuparts/piuparts.conf in /etc/piuparts/master.conf and
+- split /etc/piuparts/piuparts.conf in /etc/piuparts/master.conf and
/etc/piuparts/slave.conf?! or use /etc/default/slave to define sections?
- conf/piuparts.sudoers should be split for master+slave packages.
diff --git a/debian/changelog b/debian/changelog
index c0c814d..3ab6ef6 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -3,7 +3,7 @@ piuparts (0.45) UNRELEASED; urgency=low
[ Holger Levsen ]
* Merge piatti.git into piuparts.git, so that piatti.git has become obsolete
now. Update documentation accordingly.
- * Further split packaging into piuparts-master, piuparts-slave and
+ * Further split packaging into piuparts-master, piuparts-slave and
piuparts-common binary packages (Closes: #585861) and cleanup
dependencies.
* Update piuparts.NEWS about master+slave packages.
diff --git a/debian/piuparts-master.postinst b/debian/piuparts-master.postinst
index 3ba3872..1d92451 100755
--- a/debian/piuparts-master.postinst
+++ b/debian/piuparts-master.postinst
@@ -1,6 +1,5 @@
#!/bin/sh
-
-set -e
+set -e
pgroup=piuparts
muser=piupartsm
diff --git a/debian/piuparts-master.postrm b/debian/piuparts-master.postrm
index 807d14e..c3b90cd 100755
--- a/debian/piuparts-master.postrm
+++ b/debian/piuparts-master.postrm
@@ -1,6 +1,5 @@
#!/bin/sh
-
-set -e
+set -e
user=piupartsm
@@ -38,4 +37,3 @@ case "$1" in
esac
#DEBHELPER#
-
diff --git a/debian/piuparts-slave.postinst b/debian/piuparts-slave.postinst
index a8e392f..a988e29 100755
--- a/debian/piuparts-slave.postinst
+++ b/debian/piuparts-slave.postinst
@@ -1,6 +1,5 @@
#!/bin/sh
-
-set -e
+set -e
pgroup=piuparts
muser=piupartsm
diff --git a/debian/piuparts-slave.postrm b/debian/piuparts-slave.postrm
index 0d79c40..95086fc 100755
--- a/debian/piuparts-slave.postrm
+++ b/debian/piuparts-slave.postrm
@@ -1,6 +1,5 @@
#!/bin/sh
-
-set -e
+set -e
user=piupartss
@@ -30,4 +29,3 @@ case "$1" in
esac
#DEBHELPER#
-
diff --git a/debian/piuparts.NEWS b/debian/piuparts.NEWS
index 7789653..e827f09 100644
--- a/debian/piuparts.NEWS
+++ b/debian/piuparts.NEWS
@@ -15,7 +15,7 @@ piuparts (0.45) unstable; urgency=low
piuparts (0.38) unstable; urgency=low
New default behaviours in piuparts:
-
+
* --skip-minimize is now the default. This is because debootstrap is called
with --variant=minbase instead of --resolv-deps now and because if a
base.tgz or an lvm snapshot is specified, piuparts should not touch it.
diff --git a/debian/piuparts.postrm b/debian/piuparts.postrm
index 3834446..42973f5 100755
--- a/debian/piuparts.postrm
+++ b/debian/piuparts.postrm
@@ -1,6 +1,5 @@
#!/bin/sh
-
-set -e
+set -e
case "$1" in
purge)
@@ -20,4 +19,3 @@ case "$1" in
esac
#DEBHELPER#
-
diff --git a/piuparts-report.py b/piuparts-report.py
index 62b0dfb..efff1c5 100644
--- a/piuparts-report.py
+++ b/piuparts-report.py
@@ -948,20 +948,20 @@ class Section:
+ "<td class=\"labelcell\">Version:</td>" \
+ "<td class=\"contentcell2\">%s</td>" \
% html_protect(source_version) \
- + "</tr>\n"
+ + "</tr>\n"
sourcerows += "<tr class=\"normalrow\">" \
+ "<td class=\"labelcell\">Maintainer:</td>" \
+ "<td class=\"contentcell2\" colspan=\"5\">%s</td>" \
% self.link_to_maintainer_summary(maintainer) \
- + "</tr>\n"
+ + "</tr>\n"
if uploaders:
sourcerows += "<tr class=\"normalrow\">" \
+ "<td class=\"labelcell\">Uploaders:</td>" \
+ "<td class=\"contentcell2\" colspan=\"5\">%s</td>" \
% self.link_to_uploaders(uploaders) \
- + "</tr>\n"
+ + "</tr>\n"
source_summary_page_path = os.path.join( self._output_directory,
"source",
@@ -1097,7 +1097,7 @@ class Section:
substats += ": %s passed" % count_passed
link += "<li><a href=%s>%s</a>%s</li>\n" % \
(
- template[:-len(".tpl")]+".html",
+ template[:-len(".tpl")]+".html",
linktarget,
substats,
)
--
piuparts git repository
More information about the Piuparts-commits
mailing list